kdeplasma-addons (4:6.6.4-0ubuntu1) resolute; urgency=medium

  * New upstream bugfix release (6.6.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Apr 2026 13:05:41 +0100

kdeplasma-addons (4:6.6.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.3)

 -- Rik Mills <rikmills@kde.org>  Wed, 18 Mar 2026 14:41:08 +0000

kdeplasma-addons (4:6.6.2-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for libplasma7.

 -- Rik Mills <rikmills@kde.org>  Sat, 07 Mar 2026 06:27:53 +0000

kdeplasma-addons (4:6.6.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Mar 2026 12:21:24 +0000

kdeplasma-addons (4:6.6.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.0)
  * Update install files.
  * New upstream release (6.6.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 28 Feb 2026 22:12:54 +0000

kdeplasma-addons (4:6.5.5-0ubuntu3) resolute; urgency=medium

  * No-change rebuild for Qt 6.10.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Sun, 15 Feb 2026 12:53:52 +0000

kdeplasma-addons (4:6.5.5-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 21:53:23 +0000

kdeplasma-addons (4:6.5.5-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Jan 2026 14:54:26 +0000

kdeplasma-addons (4:6.5.4-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Dec 2025 11:16:52 +0000

kdeplasma-addons (4:6.5.3-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for icu soname.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Dec 2025 19:01:15 +0100

kdeplasma-addons (4:6.5.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Nov 2025 12:06:32 +0000

kdeplasma-addons (4:6.5.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Nov 2025 17:11:12 +0000

kdeplasma-addons (4:6.5.1-0ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Breaks/Replaces for Ubuntu.
    - Drop kwin-x11 depends.
    - Do not build tests.
  * New upstream release (6.5.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 29 Oct 2025 05:45:26 +0000

kdeplasma-addons (4:6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Reenable and fix build-time tests.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.
  * Add patch to fix test failing on number representation.
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Update the list of installed files.
  * Adapt packaging to libplasmaweatherdata6 and libplasmaweatherion6
    now being public libraries.
  * Refresh copyright information.
  * Release to unstable.

  [ Pino Toscano ]
  * Update install files according to the newer kpackage, which does not
    generate appstream metainfo files for packages anymore. (Closes: #1117351)
  * CI: update/simplify configuration.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 16 Oct 2025 22:00:01 +0200

kdeplasma-addons (4:6.5.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.0)
  * Update build deps from cmake.
  * Update install files.
  * Sync changes from Debian.

 -- Rik Mills <rikmills@kde.org>  Mon, 20 Oct 2025 18:36:08 +0100

kdeplasma-addons (4:6.4.91-3) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Add missing Breaks/Replaces against plasma-workspace-data (<<
    4:6.4.90~). (Closes: #1118033)

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 14 Oct 2025 18:17:15 +0200

kdeplasma-addons (4:6.4.91-2) experimental; urgency=medium

  * Team upload.
  * Update lintian override to apply on any architecture.
  * Ship /usr/share/icons/hicolor/scalable/apps/accessories-dictionary.svgz
    on any architecture, and not only when QtWebEngine is available; it looks
    like it is always installed now.

 -- Pino Toscano <pino@debian.org>  Tue, 14 Oct 2025 17:51:01 +0200

kdeplasma-addons (4:6.4.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Reenable and fix build-time tests.
  * New upstream release (6.4.91).
  * Update build-deps and deps with the info from cmake.
  * Drop backported commits now part of the upstream release.
  * Add patch to fix test failing on number representation.
  * Update the list of installed files.
  * Add lintian overrides for the new libweatherdata.so and
    libweatherion.so private libraries.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Oct 2025 13:28:06 +0200

kdeplasma-addons (4:6.4.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Sep 2025 17:01:07 +0100

kdeplasma-addons (4:6.4.4-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.4)
  * Update install files.
  * Update runtime depends.

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Aug 2025 17:27:47 +0100

kdeplasma-addons (4:6.3.5-2) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Reenable and fix build-time tests.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.
  * Add patch to fix test failing on number representation.

  [ Pino Toscano ]
  * Update install files according to the newer kpackage, which does not
    generate appstream metainfo files for packages anymore. (Closes: #1117351)
  * CI: update/simplify configuration.

 -- Pino Toscano <pino@debian.org>  Thu, 16 Oct 2025 21:00:25 +0200

kdeplasma-addons (4:6.3.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.5).
    - Applets/notes: don't set Layout preferred sizes. (kde#495306)
    - Fix bug report urls.
    - Applets/weather: Expose and use default units directly. (kde#503138)
  * Relax inter-plasma versioned dependency constraint so we can upload
    only 6.3.5 packages that have actual code changes.
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 19 May 2025 00:58:40 +0200

kdeplasma-addons (4:6.3.5-0ubuntu2) questing; urgency=medium

  * Drop kwin-x11 dependency from kwin-addons.

 -- Rik Mills <rikmills@kde.org>  Sat, 21 Jun 2025 05:08:10 +0100

kdeplasma-addons (4:6.3.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.3.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 May 2025 21:33:04 +0100

kdeplasma-addons (4:6.3.4-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.4).
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Apr 2025 01:01:54 +0200

kdeplasma-addons (4:6.3.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 02 Apr 2025 08:54:27 +0100

kdeplasma-addons (4:6.3.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Mar 2025 15:16:46 +0000

kdeplasma-addons (4:6.3.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 09 Mar 2025 09:21:47 +0000

kdeplasma-addons (4:6.3.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.1).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.3.2).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 28 Feb 2025 00:53:45 +0100

kdeplasma-addons (4:6.3.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 10 Feb 2025 15:00:14 +0100

kdeplasma-addons (4:6.2.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.91).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 23 Jan 2025 23:53:38 +0100

kdeplasma-addons (4:6.2.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.90).
  * Update build-deps and deps with the info from cmake.
  * Bump inter-plasma versioned dependencies.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Jan 2025 00:49:39 +0100

kdeplasma-addons (4:6.2.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.5).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Jan 2025 11:23:05 +0100

kdeplasma-addons (4:6.2.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.4).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 03 Dec 2024 16:37:29 +0100

kdeplasma-addons (4:6.2.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.3).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 23 Nov 2024 21:57:33 +0100

kdeplasma-addons (4:6.2.1-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.1).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 15 Oct 2024 18:23:48 +0200

kdeplasma-addons (4:6.2.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.90).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.2.0).
  * Update build-deps and deps with the info from cmake.
  * Tighten inter-Plasma package dependencies.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 05 Oct 2024 23:17:48 +0200

kdeplasma-addons (4:6.1.5-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.5).
  * Update build-deps and deps with the info from cmake.
  * Tighten Plasma packages inter-dependencies.
  * Fix alternate dependency to be kwin-x11 instead of kwin.
  * Fix epoch for Recommends: plasma-systemmonitor.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 Sep 2024 23:28:09 +0200

kdeplasma-addons (4:6.1.4-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.4).
  * Update build-deps and deps with the info from cmake.
  * Review copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Aug 2024 23:58:24 +0200

kdeplasma-addons (4:6.1.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Drop unnecessary build-dependency to plasma-workspace.

  [ Aurélien COUDERC ]
  * New upstream release (6.1.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 21 Jul 2024 23:46:19 +0200

kdeplasma-addons (4:6.1.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.1.0).
  * Update build-deps and deps with the info from cmake.
  * Update list of installed files.
  * Update lintian-overrides.

 -- Patrick Franz <deltaone@debian.org>  Mon, 08 Jul 2024 02:04:23 +0200

kdeplasma-addons (4:5.27.11-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Bump Standards-Version to 4.7.0 (No changes needed).
  * New upstream release (5.27.11).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 19 May 2024 12:22:25 +0200

kdeplasma-addons (4:5.27.10-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.10).

 -- Patrick Franz <deltaone@debian.org>  Thu, 11 Jan 2024 23:27:31 +0100

kdeplasma-addons (4:5.27.9-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.9).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Fri, 27 Oct 2023 21:54:50 +0200

kdeplasma-addons (4:5.27.8-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.8).

 -- Patrick Franz <deltaone@debian.org>  Wed, 13 Sep 2023 22:32:00 +0200

kdeplasma-addons (4:5.27.7-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.7).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Aug 2023 18:55:52 +0200

kdeplasma-addons (4:5.27.5-3) unstable; urgency=medium

  * Team upload.
  * Remove inactive Uploaders.
  * Trim trailing whitespace.
  * Remove an obsolete maintscript entry.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * Stop using qtwebengine5-dev on mipsel, as it will be removed soon from
    that architecture.
  * Update the build dependencies according to the upstream build system:
    - drop unused: kross-dev, libkf5archive-dev, libkf5iconthemes-dev,
      libkf5widgetsaddons-dev, libkf5windowsystem-dev, and libkf5xmlgui-dev
  * Drop the unused kross dependency in plasma-dataengines-addons.
  * Simplify the installation of the dictionary widget, which depends on
    QtWebEngine:
    - add the dh-exec build dependency
    - add to plasma-widgets-addons.install the list of files & directories
      of the widget
    - drop the manual copying done in rules
    - drop the (duplicated) list of files from not-installed

 -- Pino Toscano <pino@debian.org>  Tue, 18 Jul 2023 23:25:47 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog plasma-dataengines-addons`.
